Servoy JasperReports Plugin - Feature #738

Ability to generate reports from headless client.
09/20/2013 11:42 PM - Corey Puffalt

Status: Closed Start date: 09/20/2013
Priority: High Due date:

Assignee: Andrei Costache % Done: 100%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

We're trying to generate reports from headless client as we have reports that can take quite a while to generate but this is not
working. It appears the code checks for WEB_CLIENT and then everything else false through to SmartClient behaviour. Obviously
this doesn't work for headless clients. What we're expecting is the ability to call runReport(), pass in a file parameter (along with the
other parameters) and have the report generated to the specified file.

Thanks.

History

#1 - 09/20/2013 11:45 PM - Corey Puffalt

Note that we need virtualizers to be supported with headless client as it is with webclient. It looks like virtualizers aren't supported under smart client
for some reason??

#2 - 09/25/2013 09:34 AM - Andrei Costache

Corey Puffalt wrote:

Note that we need virtualizers to be supported with headless client as it is with webclient. It looks like virtualizers aren't supported under smart
client for some reason??

Corey, virtualizers should work just fine in smart client as well.
Any details on how they are not working? (any error/stacks?)

Regards,
Andrei

#3 - 09/25/2013 04:48 PM - Corey Puffalt

Andrei, that comment was just based on a quick look at the code so | could well be wrong. We don't use SmartClient ourselves so don't have any
errors or anything to report. The critical thing for us is to get reports working with headless client.

Thanks,
Corey

#4 - 10/19/2013 11:31 AM - Andrei Costache
- Status changed from New to In Progress
- Assignee set to Andrei Costache

- % Done changed from 0 to 60

#5 - 11/29/2013 10:18 PM - Andrei Costache
- Status changed from In Progress to Closed

- % Done changed from 60 to 100
